import { addDeviceList, addDeviceLogList } from '@/api/install'
const state = {
  addDeviceData: []
}

const mutations = {
  ADD_DEVICE: (state, data) => {
    console.log(state, data)
  }
}

const actions = {
  // user login
  addDeviceData({ commit }, data) {
    return new Promise((resolve, reject) => {
      addDeviceList(data).then(response => {
        const { data } = response
        console.log(data)
        // commit('GET_DEVICE', data.list)
        resolve(data)
      }).catch(error => {
        reject(error)
      })
    })
  },
  addDeviceLog({ commit }, data) {
    return new Promise((resolve, reject) => {
      addDeviceLogList(data).then(response => {
        const { data } = response
        console.log(data)
        // commit('GET_DEVICE', data.list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
